from django.db import models

class File(models.Model):
  fullpath = models.TextField()
  filename = models.CharField(max_length=512)
  extension = models.CharField(max_length=10, blank=True)
  file_size = models.BigIntegerField()
  date_created = models.DateTimeField()
  date_modified = models.DateTimeField()
  date_accessed = models.DateTimeField()
  sha1sum = models.CharField(max_length=100)
  mime_type = models.CharField   

  class Meta:
    abstract = True
# Create your models here.

class Video(File):
  
