from django.db import models

class HardDrive(models.Model):
  name = models.CharField(max_length = 255, unique = True)

  def __unicode__(self):
    return self.name

  def remove_files(self):
    files = File.objects.filter(hd=self)
    for f in files:
      f.delete()
    return True

 

class File(models.Model):
  filename = models.CharField(max_length = 512)
  fullPath = models.TextField()
  hd = models.ForeignKey(HardDrive)

  def __unicode__(self):
    return self.fullPath

                        

# Create your models here.
