from hardware.models import *
from django.contrib import admin
from django.contrib.auth.models import User

class HardwareAdmin(admin.ModelAdmin):
  ordering = ('title',)
  list_display = ('title', 'category', 'box',)
  list_filter = ('category', 'box',)
  search_fields = ['title', 'description']

admin.site.register(Hardware, HardwareAdmin) 
admin.site.register(Link)
